summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authoreaut2016-09-04 20:28:32 +0200
committereaut2016-09-04 20:28:32 +0200
commit150260d7e3fb9e7069a04939e55f0995d81d570f (patch)
tree5ca3e79161834807d3ca884d4101b99bc624d992
downloadaur-150260d7e3fb9e7069a04939e55f0995d81d570f.tar.gz
first version
-rw-r--r--.SRCINFO24
-rw-r--r--PKGBUILD35
2 files changed, 59 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fd8dfcb91a4
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,24 @@
+pkgbase = efistub-git
+ pkgdesc = Manage UEFI only (secure) boot configurations for Linux EFISTUB kernels
+ pkgver = r16.34fa8de
+ pkgrel = 1
+ url = https://github.com/eaut/efistub
+ arch = any
+ license = GPL3
+ makedepends = git
+ depends = efibootmgr
+ depends = efitools
+ depends = efivar
+ depends = sbsigntools
+ depends = binutils
+ depends = openssl
+ depends = bash
+ depends = coreutils
+ depends = util-linux
+ provides = efistub
+ conflicts = efistub
+ source = efistub::git+https://github.com/eaut/efistub.git
+ sha256sums = SKIP
+
+pkgname = efistub-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..bea6a7b01e7
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: eaut@boehm.org
+pkgname=efistub-git
+pkgver=r16.34fa8de
+pkgrel=1
+pkgdesc="Manage UEFI only (secure) boot configurations for Linux EFISTUB kernels"
+arch=("any")
+url="https://github.com/eaut/efistub"
+license=('GPL3')
+depends=('efibootmgr' 'efitools' 'efivar' 'sbsigntools' 'binutils' 'openssl' 'bash' 'coreutils' 'util-linux')
+makedepends=('git')
+provides=("${pkgname%-git}")
+conflicts=("${pkgname%-git}")
+source=("efistub::git+https://github.com/eaut/efistub.git")
+#source=("efibootmgr::git+https://github.com/eaut/efibootmgr.git#tag=${pkgver}")
+#source=("efibootmgr::git+https://github.com/eaut/efibootmgr.git#commit=5e9700c2252eed45f4568f3a7c08c866c2c83c0b")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/${pkgname%-git}"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ cd "$srcdir/${pkgname%-git}"
+ install -d "$pkgdir/etc/efistub/config.d/"
+ install -d "$pkgdir/etc/efistub/keys/"
+ install -D -m 0755 -t "$pkgdir/usr/bin" efistub
+ install -D -m 0644 -t "$pkgdir/usr/lib/systemd/system" systemd/*
+ install -D -m 0644 -t "$pkgdir/usr/share/licenses/${pkgname%-git}" LICENSE
+ install -D -m 0644 -t "$pkgdir/usr/share/doc/${pkgname%-git}" README.md
+ install -D -m 0644 -t "$pkgdir/usr/share/doc/${pkgname%-git}/config-examples" config-examples/*.conf
+}